# Uses of Enum Class
jdk.jshell.Snippet.SubKind

Packages that use Snippet.SubKind
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of Snippet.SubKind in jdk.jshell

Methods in jdk.jshell that return Snippet.SubKind
Modifier and Type
Method
Description
`Snippet.SubKind`
Snippet.`subKind()`
Return the `Snippet.SubKind` of snippet.
`static Snippet.SubKind`
Snippet.SubKind.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Snippet.SubKind[]`
Snippet.SubKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.